local function make_registration()
  local t = {}
  local registerfunc = function(func)
    t[#t+1] = func
  end
  return t, registerfunc
end

block_league.registered_on_levelup, block_league.register_on_levelup = make_registration()